Package helma.framework

# Class AbortException

java.lang.Object
java.lang.Throwable
java.lang.Error
helma.framework.AbortException

All Implemented Interfaces:
  `Serializable`

public class AbortException extends Error
AbortException is thrown internally when a response is aborted. Although this is not an Error, it subclasses java.lang.Error because it's not meant to be caught by application code (similar to java.lang.ThreadDeath).

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`AbortException()`

## Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### AbortException

public AbortException()